Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrRepository.DefaultOption

    java.lang.Object
      org.modeshape.jcr.JcrRepository.DefaultOption

Enclosing class:
  JcrRepository

    public static class JcrRepository.DefaultOption

extends Object

The default values for each of the `JcrRepository.Option`.

Field Summary
`static String` | `ANONYMOUS_USER_ROLES` The default value for the `JcrRepository.Option.ANONYMOUS_USER_ROLES` option is "admin" (if the supplied option is null).
`static String` | `EXPOSE_WORKSPACE_NAMES_IN_DESCRIPTOR` The default value for the `JcrRepository.Option.EXPOSE_WORKSPACE_NAMES_IN_DESCRIPTOR` option is .
`static String` | `INDEX_READ_DEPTH` The default value for the `JcrRepository.Option.INDEX_READ_DEPTH` option is "4" .
`static String` | `JAAS_LOGIN_CONFIG_NAME` The default value for the `JcrRepository.Option.JAAS_LOGIN_CONFIG_NAME` option is "modeshape-jcr" .
`static String` | `PERFORM_REFERENTIAL_INTEGRITY_CHECKS` The default value for the `JcrRepository.Option.PERFORM_REFERENTIAL_INTEGRITY_CHECKS` option is .
`static String` | `PROJECT_NODE_TYPES` The default value for the `JcrRepository.Option.PROJECT_NODE_TYPES` option is .
`static String` | `QUERY_EXECUTION_ENABLED` The default value for the `JcrRepository.Option.QUERY_EXECUTION_ENABLED` option is .
`static String` | `QUERY_INDEX_DIRECTORY` The default value for the `JcrRepository.Option.QUERY_INDEX_DIRECTORY` option is .
`static String` | `QUERY_INDEXES_REBUILT_SYNCHRONOUSLY` The default value for the `JcrRepository.Option.QUERY_INDEXES_REBUILT_SYNCHRONOUSLY` option is .
`static String` | `QUERY_INDEXES_UPDATED_SYNCHRONOUSLY` The default value for the `JcrRepository.Option.QUERY_INDEXES_UPDATED_SYNCHRONOUSLY` option is .
`static String` | `READ_DEPTH` The default value for the `JcrRepository.Option.READ_DEPTH` option is "1" .
`static String` | `REBUILD_QUERY_INDEX_ON_STARTUP` The default value for the `JcrRepository.Option.REBUILD_QUERY_INDEX_ON_STARTUP` option is "ifMissing" .
`static String` | `REMOVE_DERIVED_CONTENT_WITH_ORIGINAL` The default value for the `JcrRepository.Option.REMOVE_DERIVED_CONTENT_WITH_ORIGINAL` option is .
`static String` | `REPOSITORY_JNDI_LOCATION` The default value for the `JcrRepository.Option.REPOSITORY_JNDI_LOCATION` option is ""
`static String` | `TABLES_INCLUDE_COLUMNS_FOR_INHERITED_PROPERTIES` The default value for the `JcrRepository.Option.TABLES_INCLUDE_COLUMNS_FOR_INHERITED_PROPERTIES` option is .
`static String` | `USE_ANONYMOUS_ACCESS_ON_FAILED_LOGIN` The default value for the `JcrRepository.Option.USE_ANONYMOUS_ACCESS_ON_FAILED_LOGIN` option is .
`static String` | `USE_SECURITY_CONTEXT_CREDENTIALS` The default value for the `JcrRepository.Option.USE_SECURITY_CONTEXT_CREDENTIALS` option is .
`static String` | `VERSION_HISTORY_STRUCTURE` The default value for the `JcrRepository.Option.VERSION_HISTORY_STRUCTURE` option is "hierarchical" .

Constructor Summary
`JcrRepository.DefaultOption()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_NODE_TYPES

    public static final String PROJECT_NODE_TYPES

  The default value for the `JcrRepository.Option.PROJECT_NODE_TYPES` option is .

### JAAS_LOGIN_CONFIG_NAME

    public static final String JAAS_LOGIN_CONFIG_NAME

  The default value for the `JcrRepository.Option.JAAS_LOGIN_CONFIG_NAME` option is "modeshape-jcr" .

  See Also:
    Constant Field Values

### READ_DEPTH

    public static final String READ_DEPTH

  The default value for the `JcrRepository.Option.READ_DEPTH` option is "1" .

  See Also:
    Constant Field Values

### INDEX_READ_DEPTH

    public static final String INDEX_READ_DEPTH

  The default value for the `JcrRepository.Option.INDEX_READ_DEPTH` option is "4" .

  See Also:
    Constant Field Values

### ANONYMOUS_USER_ROLES

    public static final String ANONYMOUS_USER_ROLES

  The default value for the `JcrRepository.Option.ANONYMOUS_USER_ROLES` option is "admin" (if the supplied option is null).

  See Also:
    Constant Field Values

### TABLES_INCLUDE_COLUMNS_FOR_INHERITED_PROPERTIES

    public static final String TABLES_INCLUDE_COLUMNS_FOR_INHERITED_PROPERTIES

  The default value for the `JcrRepository.Option.TABLES_INCLUDE_COLUMNS_FOR_INHERITED_PROPERTIES` option is .

### QUERY_EXECUTION_ENABLED

    public static final String QUERY_EXECUTION_ENABLED

  The default value for the `JcrRepository.Option.QUERY_EXECUTION_ENABLED` option is .

### QUERY_INDEXES_UPDATED_SYNCHRONOUSLY

    public static final String QUERY_INDEXES_UPDATED_SYNCHRONOUSLY

  The default value for the `JcrRepository.Option.QUERY_INDEXES_UPDATED_SYNCHRONOUSLY` option is .

### QUERY_INDEX_DIRECTORY

    public static final String QUERY_INDEX_DIRECTORY

  The default value for the `JcrRepository.Option.QUERY_INDEX_DIRECTORY` option is .

### PERFORM_REFERENTIAL_INTEGRITY_CHECKS

    public static final String PERFORM_REFERENTIAL_INTEGRITY_CHECKS

  The default value for the `JcrRepository.Option.PERFORM_REFERENTIAL_INTEGRITY_CHECKS` option is .

### REPOSITORY_JNDI_LOCATION

    public static final String REPOSITORY_JNDI_LOCATION

  The default value for the `JcrRepository.Option.REPOSITORY_JNDI_LOCATION` option is ""

  See Also:
    Constant Field Values

### EXPOSE_WORKSPACE_NAMES_IN_DESCRIPTOR

    public static final String EXPOSE_WORKSPACE_NAMES_IN_DESCRIPTOR

  The default value for the `JcrRepository.Option.EXPOSE_WORKSPACE_NAMES_IN_DESCRIPTOR` option is .

### VERSION_HISTORY_STRUCTURE

    public static final String VERSION_HISTORY_STRUCTURE

  The default value for the `JcrRepository.Option.VERSION_HISTORY_STRUCTURE` option is "hierarchical" .

  See Also:
    Constant Field Values

### REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

    public static final String REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

  The default value for the `JcrRepository.Option.REMOVE_DERIVED_CONTENT_WITH_ORIGINAL` option is .

### USE_ANONYMOUS_ACCESS_ON_FAILED_LOGIN

    public static final String USE_ANONYMOUS_ACCESS_ON_FAILED_LOGIN

  The default value for the `JcrRepository.Option.USE_ANONYMOUS_ACCESS_ON_FAILED_LOGIN` option is .

### REBUILD_QUERY_INDEX_ON_STARTUP

    public static final String REBUILD_QUERY_INDEX_ON_STARTUP

  The default value for the `JcrRepository.Option.REBUILD_QUERY_INDEX_ON_STARTUP` option is "ifMissing" .

  See Also:
    Constant Field Values

### QUERY_INDEXES_REBUILT_SYNCHRONOUSLY

    public static final String QUERY_INDEXES_REBUILT_SYNCHRONOUSLY

  The default value for the `JcrRepository.Option.QUERY_INDEXES_REBUILT_SYNCHRONOUSLY` option is .

### USE_SECURITY_CONTEXT_CREDENTIALS

    public static final String USE_SECURITY_CONTEXT_CREDENTIALS

  The default value for the `JcrRepository.Option.USE_SECURITY_CONTEXT_CREDENTIALS` option is .

Constructor Detail

### JcrRepository.DefaultOption

    public JcrRepository.DefaultOption()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.